Functions

# glm::gtx::matrix_operation Namespace Reference

GLM_GTX_matrix_operation: Build cross product matrices. More...

## Functions
template<typename valType >
detail::tmat2x2< valType > | diagonal2x2 (detail::tvec2< valType > const &v)
| Build a diagonal matrix.
template<typename valType >
detail::tmat2x3< valType > | diagonal2x3 (detail::tvec2< valType > const &v)
| Build a diagonal matrix.
template<typename valType >
detail::tmat2x4< valType > | diagonal2x4 (detail::tvec2< valType > const &v)
| Build a diagonal matrix.
template<typename valType >
detail::tmat3x2< valType > | diagonal3x2 (detail::tvec2< valType > const &v)
| Build a diagonal matrix.
template<typename valType >
detail::tmat3x3< valType > | diagonal3x3 (detail::tvec3< valType > const &v)
| Build a diagonal matrix.
template<typename valType >
detail::tmat3x4< valType > | diagonal3x4 (detail::tvec3< valType > const &v)
| Build a diagonal matrix.
template<typename valType >
detail::tmat4x2< valType > | diagonal4x2 (detail::tvec2< valType > const &v)
| Build a diagonal matrix.
template<typename valType >
detail::tmat4x3< valType > | diagonal4x3 (detail::tvec3< valType > const &v)
| Build a diagonal matrix.
template<typename valType >
detail::tmat4x4< valType > | diagonal4x4 (detail::tvec4< valType > const &v)
| Build a diagonal matrix.

## Detailed Description

GLM_GTX_matrix_operation: Build cross product matrices.

## Function Documentation

detail::tmat2x2<valType> glm::gtx::matrix_operation::diagonal2x2 | ( | detail::tvec2< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat2x3<valType> glm::gtx::matrix_operation::diagonal2x3 | ( | detail::tvec2< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat2x4<valType> glm::gtx::matrix_operation::diagonal2x4 | ( | detail::tvec2< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x2<valType> glm::gtx::matrix_operation::diagonal3x2 | ( | detail::tvec2< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x3<valType> glm::gtx::matrix_operation::diagonal3x3 | ( | detail::tvec3< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat3x4<valType> glm::gtx::matrix_operation::diagonal3x4 | ( | detail::tvec3< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x2<valType> glm::gtx::matrix_operation::diagonal4x2 | ( | detail::tvec2< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x3<valType> glm::gtx::matrix_operation::diagonal4x3 | ( | detail::tvec3< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.

detail::tmat4x4<valType> glm::gtx::matrix_operation::diagonal4x4 | ( | detail::tvec4< valType > const & | v ) |

Build a diagonal matrix.

From GLM_GTX_matrix_operation extension.